package com.goafanti.customer.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.goafanti.common.utils.excel.Excel;

import java.util.Date;

public class OutUserClueList {

    private String id;
    @Excel(name = "客户姓名")
    private String nickname;
    @Excel(name = "联系人")
    private String contacts;
    @Excel(name = "联系人手机号")
    private String contactMobile;
    private String adminName;
    private String clueAname;
    private String clueProcess;
    private Date clueTime;
    private Date clueTransferTime;
    private Integer days;

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }

    public String getClueAname() {
        return clueAname;
    }

    public void setClueAname(String clueAname) {
        this.clueAname = clueAname;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getClueTransferTime() {
        return clueTransferTime;
    }

    public void setClueTransferTime(Date clueTransferTime) {
        this.clueTransferTime = clueTransferTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getClueProcess() {
        return clueProcess;
    }

    public void setClueProcess(String clueProcess) {
        this.clueProcess = clueProcess;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getClueTime() {
        return clueTime;
    }

    public void setClueTime(Date clueTime) {
        this.clueTime = clueTime;
    }
}
